use strict;
use warnings;
use lib 't/lib';
use File::Temp;
use Test::More qw(no_plan);
use Test::Exception;
use Devel::Dwarn;

BEGIN {
    use_ok 'MTITest';
    $ENV{DBIC_TRACE} = 0;
}

dies_ok { MTITest->source('Foo')->view_definition }
"Can't generate view def without connected schema";

my $schema = MTITest->connect( 'dbi:Pg:dbname=test', 'postgres', '' );

my $dir = "t/sql";    # tempdir(CLEANUP => 0);

#$schema->storage->dbh->{Warn} = 0;
$schema->create_ddl_dir( ['PostgreSQL'], 0.1, $dir );
$schema->deploy( { add_drop_table => 1, add_drop_view => 1} );
